/*
Customizações e estilos de imagens e etc. alheios ao
tema ou específicas de certas páginas.

A ideia é ter uma classe/link/etc nos .md's da /docs
e estilizar por aqui o que for mais específico.

TODO: tentar re-organizar esse arquivo em outros ar-
quivos.
*/

/* #region: Custom Images: */

.img__timao {
  float: right;
  width: 40%;
  margin: 0 20px !important;
}

.holder__marca {
  position: relative;
}

.img__marca {
  position: absolute;
  top: 0;
  right: calc(100% + 20px);
  height: 600px;
}

.img__regulamento {
  width: 50%;
}

/* #endregion */

/* #region: Custom Titles: */

.title__detail {
  display: block;
  width: 100%;
}

.title__apresentacao::after {
  content: "";
  display: block;
  height: 30px;
  background-image: url(../img/onda-g.png);
  width: 70%;
  background-size: contain;
  margin-left: auto;
  background-repeat: no-repeat;
}

.title__o-que-e:before {
  content: "";
  display: inline-block;
  height: 30px;
  background-image: url(../img/onda-p.png);
  width: 30%;
  background-size: contain;
  background-repeat: no-repeat;
  vertical-align: middle;
  background-position: center;
}

.title__comecando {
  font-family: montserrat, -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto,
    Oxygen, Ubuntu, Cantarell, "Open Sans", "Helvetica Neue", sans-serif;
  font-size: 30px;
  font-weight: 900;
  color: #0080b7;
  text-transform: uppercase;
  margin-bottom: 0 !important;
  text-align: center !important;
  text-indent: 0 !important;
}

.title__comecando ~ h1 {
  margin-top: 0 !important;
  text-align: center;
}

.title__comecando + p {
  margin: 0;
}

.title__comecando + p img {
  width: 60%;
  display: block;
  margin: 0 auto;
}

.title__viagem {
  font-size: 30px;
}

@media screen and (min-width: 768px) {
  .title__viagem strong {
    position: absolute;
    font-size: 60px;
  }
}
.title__viagem strong {
  color: #f6c100;
  font-weight: 900;
  max-width: 720px;
  display: block;
  text-shadow: 0px 2px 2px rgba(150, 150, 150, 1);
}

.title__bem-vindo {
  font-size: 80px;
}

.title__historia {
  display: flex;
}

.title__historia::after {
  content: "";
  display: block;
  height: 30px;
  background-image: url(../img/onda-g.png);
  width: 100%;
  margin-left: 20px;
  background-size: contain;
  /* margin-left: auto; */
  background-repeat: no-repeat;
}

.title--green-arrow {
  position: relative;
  /* padding-left: 10px; */
  text-indent: 15px;
  font-size: 22px !important;
  text-align: left;
  display: block;
}

.title--green-arrow::before {
  content: url("../img/green-squares.png");
  transform: rotate(135deg);
  display: block;
  position: absolute;
  left: -40px;
  top: -18px;
}

.title__cursos {
  display: block;
  text-align: center;
}

.title__cursos--tecnico {
  color: #68b92e;
}

.title__cursos--grad {
  color: #b92e2e;
}

.title__cursos-oferecidos {
  font-size: 45px;
  line-height: 0;
}

.title__cursos-oferecidos--lower {
  font-size: 30px;
}

.title__cursos-oferecidos--lower::before {
  content: "";
  background-image: url("../img/onda-p.png");
  background-size: contain;
  background-position: center;
  display: inline-block;
  width: 30%;
  height: 1em;
  margin-left: -20px;
  vertical-align: middle;
  background-repeat: no-repeat;
}

.title__conhecendo--upper::before {
  content: "";
  display: inline-block;
  width: 35%;
  height: 1em;
  margin-right: 10px;
  background-image: url("../../img/onda-p.png");
  background-repeat: no-repeat;
  background-size: contain;
  background-position: center;
  vertical-align: middle;
}

.title__conhecendo--middle {
  font-size: 55px;
  margin-right: 10px;
}

.title__curso {
  color: #68b92e;
  display: flex;
  font-size: 36px;
  align-items: center;
  margin-bottom: 40px;
}

.title__curso strong {
  font-size: 50px;
}

.title__curso img {
  height: 200px;
  float: left;
  margin-right: 18px;
}

.title__regulamento {
  font-size: 60px;
}

.title__regulamento::after {
  content: "";
  height: 1em;
  width: 35%;
  vertical-align: middle;
  display: inline-block;
  background: center / contain no-repeat url("../img/onda-p.png");
  margin-left: 20px;
}

.title__regulamento--sub {
  text-transform: none;
  position: relative;
  margin-left: 40px;
  display: block;
}

.title__regulamento--sub::before {
  content: "";
  display: block;
  width: 35px;
  height: 50px;
  background: center / contain no-repeat url("../img/triangulo-bolinhas.png");
  position: absolute;
  left: -40px;
  top: 50%;
  margin-top: -25px;
}

.title--black {
  color: #515151 !important;
}

.title__servicos {
  font-size: 50px;
}

.title__servicos::after {
  content: "";
  height: 1em;
  width: 50%;
  margin-left: 20px;
  vertical-align: middle;
  display: inline-block;
  background: center / contain no-repeat url("../img/onda-g.png");
}

.title__servicos strong {
  color: #f6c100;
  font-size: 30px;
  display: block;
}

.title__servicos strong::before {
  content: "";
  height: 1em;
  width: 35%;
  vertical-align: middle;
  display: inline-block;
  background: center / contain no-repeat url("../img/onda-p.png");
}

.title__servicos--programa-socio {
  font-size: 35px;
}

.title--big {
  font-size: 60px;
}

.title__est-pes-ext {
  display: flex;
  color: #5fb132;
  font-size: 35px;
}

@include screen and (max-width: 768px) {
  .title__est-pes-ext::before {
    content: "";
    display: block;
    flex: 0 0 150px;
    margin-right: 20px;
    background: center / contain no-repeat url("../img/ondas-amarelas.png");
  }
}

.title__desempenho {
  font-size: 55px;
  display: block;
}

.title__desempenho--upper {
  color: #f6c100;
  display: block;
  font-size: 40px;
}

.title__desempenho--lower::before {
  content: "";
  display: inline-block;
  vertical-align: middle;
  height: 1em;
  width: 220px;
  flex: 0 0 150px;
  margin-right: 10px;
  background: center / contain no-repeat url("../img/onda-p.png");
}

.title__desempenho--sub {
  color: #b92e2e;
}

.title__desempenho--recados::after {
  background: center / contain no-repeat url("../img/onda-g.png");
  content: "";
  display: block;
  height: 1em;
  width: 60%;
  margin-left: auto;
  margin-top: -20px;
}

/* #endregion */

/* #region: Custom Elements */

.postit {
  background: yellow;
  padding: 20px;
  font-family: caveat;
  font-size: 24px;
  max-width: 500px;
  transform: rotate(-5.3deg);
  margin: 20px auto;
  -webkit-box-shadow: -5px 10px 16px -2px #989898;
  box-shadow: -5px 10px 16px -2px #989898;
}

.postit strong {
  font-family: montserrat, -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto,
    Oxygen, Ubuntu, Cantarell, "Open Sans", "Helvetica Neue", sans-serif;
  font-weight: 900;
}

@media screen and (min-width: 768px) {
  .two-cols-mansonry {
    column-count: 2;
    column-gap: 1.5em;
  }

  .two-cols-mansonry > div,
  .two-cols-mansonry > li {
    display: inline-block;
    position: relative;
  }

  .two-cols-mansonry > li::before {
    content: "\25CF";
    position: absolute;
    left: -20px;
    top: 26px;
  }

  .two-cols-mansonry p {
    text-align: left;
  }

  .three-cols {
    display: flex;
    flex-wrap: wrap;
  }

  .three-cols--center {
    justify-content: center;
  }

  .three-cols > div {
    flex: 0 0 33%;
    padding: 10px;
  }

  .two-cols {
    display: flex;
    flex-wrap: wrap;
  }

  .two-cols > div {
    flex: 0 0 50%;
    padding: 10px;
  }
}

/* #endregion */

/* #region: Helpers */
.text-center {
  text-align: center !important;
}

em.italic {
  background-color: transparent;
  font-style: italic;
}
/* #endregion */

/* #region: Courses */

.course__block {
  display: flex;
  align-items: center;
  text-align: center;
}

.course__block img {
  width: 80px;
  height: auto;
  margin-right: 10px;
}

.course__title {
  color: #515151 !important;
  font-weight: 700 !important;
  margin: 0;
  font-size: 14px;
}

.course__caption {
  margin: 0 !important;
  text-align: center !important;
  font-size: 12px;
}

/* #endregion */

/* #region: Page - Historia */

.historia__entrada img {
  margin: 0;
}

.historia__icone {
  max-height: 40px;
  margin: 0 !important;
  display: inline-block !important;
  float: left;
  margin-right: 20px;
}

.historia__title {
  font-family: "Open Sans", -apple-system, BlinkMacSystemFont, "Segoe UI",
    Roboto, Oxygen, Ubuntu, Cantarell, "Helvetica Neue", sans-serif !important;
  text-decoration: none !important;
  color: #303030 !important;
  font-size: 20px;
  font-weight: 600;
  line-height: 2 !important;
}

.historia__onibus p,
.historia__entrada p {
  text-indent: 0;
}

.historia__onibus p {
  margin: 10px 0 10px 40px;
}

.historia__disclaimer {
  font-size: 13px;
  margin-top: 20px;
}

.contacts h3 {
  font-size: 22px;
}

.contacts p {
  text-indent: 0;
}

.contacts i {
  font-size: 20px;
  text-align: center;
  height: 30px;
  width: 30px;
  background-color: #515151;
  border-radius: 25px;
  padding: 5px;
  color: #fff;
  vertical-align: middle;
  margin-right: 5px;
}

.contacts strong {
  color: #515151;
}

/* #endregion */

@media screen and (max-width: 768px) {
  .img__timao {
    float: none;
    width: 100%;
    display: block;
    margin: 0 auto !important;
  }
  .postit {
    transform: none;
  }
  /* TODO: re-do bg */
  .title--green-arrow::before {
    content: "";
    background: url("../img/green-squares.png") no-repeat center / cover;
    display: block;
    height: 20px;
    width: 20px;
    left: -15px;
    top: 1px;
  }

  /* TODO: fix 2 columns? another class? idk */
  .course__block {
    flex-flow: column;
    margin-bottom: 30px;
  }

  .title__curso {
    flex-flow: column;
    text-align: center;
  }
  .title__curso img {
    height: auto;
    max-width: 200px;
    margin-bottom: 20px;
    margin-right: 0;
  }
  .title__curso strong {
    font-size: inherit;
  }
  .title__est-pes-ext {
      font-size: 20px;
  }
  /* Fix 4 links */
  a {
    word-break: break-all;
  }
}
